Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans
Class XmlNMTOKENS.Factory

    java.lang.Object
      org.apache.xmlbeans.XmlNMTOKENS.Factory

Enclosing class:
  XmlNMTOKENS

public static final class XmlNMTOKENS.Factory
extends Object

A class with methods for creating instances of `XmlNMTOKENS`.

Method Summary
`static XmlNMTOKENS` | `newInstance()` Creates an empty instance of `XmlNMTOKENS`
`static XmlNMTOKENS` | `newInstance(XmlOptions options)` Creates an empty instance of `XmlNMTOKENS`
`static org.apache.xmlbeans.xml.stream.XMLInputStream` | `newValidatingXMLInputStream(org.apache.xmlbeans.xml.stream.XMLInputStream xis)` Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.
`static org.apache.xmlbeans.xml.stream.XMLInputStream` | `newValidatingXMLInputStream(org.apache.xmlbeans.xml.stream.XMLInputStream xis, XmlOptions options)` Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.
`static XmlNMTOKENS` | `newValue(Object obj)` Creates an immutable `XmlNMTOKENS` value
`static XmlNMTOKENS` | `parse(File f)` Parses a `XmlNMTOKENS` fragment from a File.
`static XmlNMTOKENS` | `parse(File f, XmlOptions options)` Parses a `XmlNMTOKENS` fragment from a File.
`static XmlNMTOKENS` | `parse(InputStream is)` Parses a `XmlNMTOKENS` fragment from an InputStream.
`static XmlNMTOKENS` | `parse(InputStream is, XmlOptions options)` Parses a `XmlNMTOKENS` fragment from an InputStream.
`static XmlNMTOKENS` | `parse(Node node)` Parses a `XmlNMTOKENS` fragment from a DOM Node.
`static XmlNMTOKENS` | `parse(Node node, XmlOptions options)` Parses a `XmlNMTOKENS` fragment from a DOM Node.
`static XmlNMTOKENS` | `parse(Reader r)` Parses a `XmlNMTOKENS` fragment from a Reader.
`static XmlNMTOKENS` | `parse(Reader r, XmlOptions options)` Parses a `XmlNMTOKENS` fragment from a Reader.
`static XmlNMTOKENS` | `parse(String s)` Parses a `XmlNMTOKENS` fragment from a String.
`static XmlNMTOKENS` | `parse(String s, XmlOptions options)` Parses a `XmlNMTOKENS` fragment from a String.
`static XmlNMTOKENS` | `parse(URL u)` Parses a `XmlNMTOKENS` fragment from a URL.
`static XmlNMTOKENS` | `parse(URL u, XmlOptions options)` Parses a `XmlNMTOKENS` fragment from a URL.
`static XmlNMTOKENS` | `parse(org.apache.xmlbeans.xml.stream.XMLInputStream xis)` Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.
`static XmlNMTOKENS` | `parse(org.apache.xmlbeans.xml.stream.XMLInputStream xis, XmlOptions options)` Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newInstance

    public static XmlNMTOKENS newInstance()

  Creates an empty instance of `XmlNMTOKENS`

### newInstance

    public static XmlNMTOKENS newInstance(XmlOptions options)

  Creates an empty instance of `XmlNMTOKENS`

### newValue

    public static XmlNMTOKENS newValue(Object obj)

  Creates an immutable `XmlNMTOKENS` value

### parse

    public static XmlNMTOKENS parse(String s)
                             throws XmlException

  Parses a `XmlNMTOKENS` fragment from a String. For example: "`<xml-fragment>sample-1.1 sample-1.2 sample-1.3</xml-fragment>`".

  Throws:
    `XmlException`

### parse

    public static XmlNMTOKENS parse(String s,
                                    XmlOptions options)
                             throws XmlException

  Parses a `XmlNMTOKENS` fragment from a String. For example: "`<xml-fragment>sample-1.1 sample-1.2 sample-1.3</xml-fragment>`".

  Throws:
    `XmlException`

### parse

    public static XmlNMTOKENS parse(File f)
                             throws XmlException,
                                    IOException

  Parses a `XmlNMTOKENS` fragment from a File.

  Throws:
    `XmlException`
    `IOException`

### parse

    public static XmlNMTOKENS parse(File f,
                                    XmlOptions options)
                             throws XmlException,
                                    IOException

  Parses a `XmlNMTOKENS` fragment from a File.

  Throws:
    `XmlException`
    `IOException`

### parse

    public static XmlNMTOKENS parse(URL u)
                             throws XmlException,
                                    IOException

  Parses a `XmlNMTOKENS` fragment from a URL.

  Throws:
    `XmlException`
    `IOException`

### parse

    public static XmlNMTOKENS parse(URL u,
                                    XmlOptions options)
                             throws XmlException,
                                    IOException

  Parses a `XmlNMTOKENS` fragment from a URL.

  Throws:
    `XmlException`
    `IOException`

### parse

    public static XmlNMTOKENS parse(InputStream is)
                             throws XmlException,
                                    IOException

  Parses a `XmlNMTOKENS` fragment from an InputStream.

  Throws:
    `XmlException`
    `IOException`

### parse

    public static XmlNMTOKENS parse(InputStream is,
                                    XmlOptions options)
                             throws XmlException,
                                    IOException

  Parses a `XmlNMTOKENS` fragment from an InputStream.

  Throws:
    `XmlException`
    `IOException`

### parse

    public static XmlNMTOKENS parse(Reader r)
                             throws XmlException,
                                    IOException

  Parses a `XmlNMTOKENS` fragment from a Reader.

  Throws:
    `XmlException`
    `IOException`

### parse

    public static XmlNMTOKENS parse(Reader r,
                                    XmlOptions options)
                             throws XmlException,
                                    IOException

  Parses a `XmlNMTOKENS` fragment from a Reader.

  Throws:
    `XmlException`
    `IOException`

### parse

    public static XmlNMTOKENS parse(Node node)
                             throws XmlException

  Parses a `XmlNMTOKENS` fragment from a DOM Node.

  Throws:
    `XmlException`

### parse

    public static XmlNMTOKENS parse(Node node,
                                    XmlOptions options)
                             throws XmlException

  Parses a `XmlNMTOKENS` fragment from a DOM Node.

  Throws:
    `XmlException`

### parse

    public static XmlNMTOKENS parse(org.apache.xmlbeans.xml.stream.XMLInputStream xis)
                             throws XmlException,
                                    org.apache.xmlbeans.xml.stream.XMLStreamException

  Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.

  Parses a `XmlNMTOKENS` fragment from an XMLInputStream.

  Throws:
    `XmlException`
    `org.apache.xmlbeans.xml.stream.XMLStreamException`

### parse

    public static XmlNMTOKENS parse(org.apache.xmlbeans.xml.stream.XMLInputStream xis,
                                    XmlOptions options)
                             throws XmlException,
                                    org.apache.xmlbeans.xml.stream.XMLStreamException

  Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.

  Parses a `XmlNMTOKENS` fragment from an XMLInputStream.

  Throws:
    `XmlException`
    `org.apache.xmlbeans.xml.stream.XMLStreamException`

### newValidatingXMLInputStream

    public static org.apache.xmlbeans.xml.stream.XMLInputStream newValidatingXMLInputStream(org.apache.xmlbeans.xml.stream.XMLInputStream xis)
                                                                                     throws XmlException,
                                                                                            org.apache.xmlbeans.xml.stream.XMLStreamException

  Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.

  Returns a validating XMLInputStream.

  Throws:
    `XmlException`
    `org.apache.xmlbeans.xml.stream.XMLStreamException`

### newValidatingXMLInputStream

    public static org.apache.xmlbeans.xml.stream.XMLInputStream newValidatingXMLInputStream(org.apache.xmlbeans.xml.stream.XMLInputStream xis,
                                                                                            XmlOptions options)
                                                                                     throws XmlException,
                                                                                            org.apache.xmlbeans.xml.stream.XMLStreamException

  Deprecated. XMLInputStream was deprecated by XMLStreamReader from STaX - jsr173 API.

  Returns a validating XMLInputStream.

  Throws:
    `XmlException`
    `org.apache.xmlbeans.xml.stream.XMLStreamException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD